FreeMat

- Main Page
- Related Pages

vtkObjectFactoryCollection

Section: Visualization Toolkit Common Classes

# Usage

vtkObjectFactoryCollection is an object that creates and manipulates lists of object of type vtkObjectFactory.

To create an instance of class vtkObjectFactoryCollection, simply invoke its constructor as follows

      obj = vtkObjectFactoryCollection

# Methods

The class vtkObjectFactoryCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkObjectFactoryCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkObjectFactoryCollection = obj.NewInstance ()`
- `vtkObjectFactoryCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkObjectFactory t)` - Get the next ObjectFactory in the list. Return NULL when the end of the list is reached.
- `vtkObjectFactory = obj.GetNextItem ()`